跳至內容

Omnilottie · Video to Lottie

整合

模型 id omnilottie/video-to-lottie
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/omnilottie/video-to-lottie?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

此請求: $0.05 50 API 點數 · ≈ ₽5.37 在此頁面執行

取得 API 金鑰
Open model 其他 #lottie

將影片轉換為 Lottie JSON 動畫,可選用文字提示進行引導

Open model · 檔案

您的第一個結果會顯示在這裡

在下方建立請求,並使用您的 API 金鑰執行。輸出會複製到我們的儲存空間,可永久保留或免費保留 7 天。

建立請求

控制項是根據模型結構描述生成的。變更設定時,程式碼和價格會同步更新。

0 / 2000

用於引導轉換的可選描述文字。

•必填 video_url
拖放檔案,或

用於轉換為 Lottie 動畫的來源影片 URL。

進階 max_tokens · temperature · top_p · top_k
預設 4096

生成的 Lottie Token 上限。

預設 0.9

生成期間取樣時使用的 Temperature。

預設 0.25

核心取樣的機率門檻。

預設 5

Top-k 取樣設定。

POST /run/omnilottie/video-to-lottie?wait=20 報價 → $0.05
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/omnilottie/video-to-lottie?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

執行此請求

您的金鑰會保留在此瀏覽器中:只會傳送至 Doitong API,且只有在勾選「記住」時才會儲存至 localStorage。 取得 API 金鑰

關於 Omnilottie · Video to Lottie

將 `video_url` 中的片段轉換為 Lottie 動畫,並以 JSON 檔案提供。可選用最多 2,000 個字元的 `prompt` 引導轉換。`max_tokens` 範圍為 256 到 8192,`temperature`、`top_p` 和 `top_k` 可調整取樣。

參數

請傳送標準名稱或原生名稱其中之一,不要同時傳送兩者。 標準名稱

名稱類型 預設值允許值 說明
prompt選填
類型string | null
≤ 2,000 個字元
用於引導轉換的可選描述文字。
video_url必填 video
類型url · video
用於轉換為 Lottie 動畫的來源影片 URL。
max_tokens選填
類型integer
預設值4096
256 – 8,192
生成的 Lottie Token 上限。
temperature選填
類型number
預設值0.9
0 – 2
生成期間取樣時使用的 Temperature。
top_p選填
類型number
預設值0.25
0 – 1
核心取樣的機率門檻。
top_k選填
類型integer
預設值5
1 – 100
Top-k 取樣設定。
必填 標準名稱,也可使用

檔案參數接受公開的 https:// URL、最大 10 MB 的 data: URI,或上傳檔案的 file_url。 檔案

輸出

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "omnilottie/video-to-lottie",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 50,
    "usd": "0.05",
    "charged": 50,
    "refunded": 0
  },
  "input": {
    "video_url": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
  },
  "output": {
    "lottie_file": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200
    }
  },
  "outputs": [
    {
      "type": "file",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
您的檔案,由您選擇每個 outputs[].url 都是儲存空間中的副本:可永久保留(按 GB-月計費),或免費保留 7 天;可透過帳戶設定或 ?storage= 設定。
所有模型使用相同結構圖片、影片和音訊皆包含 type、url、content_type、width、height 和 duration。output 是模型自己的結果物件。
輸出欄位
lottie_file
object {url, content_type, file_name, file_size}包含生成之 Lottie 動畫的 JSON 檔案。

更多模型:其他

給 AI 代理程式:此頁面的 Markdown 位於 https://doitong.com/zh-TW/developers/models/omnilottie/video-to-lottie.md. 所有模型與指南: https://doitong.com/developers/llms.txt